import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// Shows how to create a button and respond to
// button pushes with an ActionListener.

public class ButtonDemo extends JFrame {
    final JButton pushMeButton;

    public ButtonDemo(String title) {
        super(title);

        setup();

        pushMeButton = new JButton("Push Me");

        ActionListener pushHandler = new ActionListener() {
              int pushes = 0;
              public void actionPerformed(ActionEvent e) {  
                   System.out.println(e.toString());
                   pushMeButton.setText(Integer.toString(++pushes)+" pushes.");
              }
        };

        pushMeButton.addActionListener(pushHandler);

        // Add the button to the inside of the frame:
        getContentPane().add( pushMeButton );

        pack( );
    }

    public void setup() {
        getContentPane().setLayout( new FlowLayout() );

        WindowListener l = new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        };
        addWindowListener(l);
    }

    public static void main(String[] args) {
         ButtonDemo demo = new ButtonDemo("Button Demo");
         demo.setVisible(true);        
    }
}
