import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;

public class GraphicsDemo extends JFrame {
    int x;
    int y;
    final static int radius = 10;

    public GraphicsDemo(String title) {
        super(title);
        setup();
        setSize(200,200);
        getContentPane().setBackground(Color.black);
        addMouseListener(new MouseAdapter() {
            public void mousePressed(MouseEvent e) {
                x = e.getX();
                y = e.getY();
                repaint();
            }
        });     
    }

    public void paint(Graphics g) {
        super.paint(g);
        g.setColor(Color.green);
        g.fillOval(x-radius,y-radius,radius*2,radius*2);
    }

    public void setup() {
        WindowListener l = new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        };
        addWindowListener(l);
    }

    public static void main(String[] args) {
         GraphicsDemo demo = new GraphicsDemo("Graphics Demo");
         demo.setVisible(true);        
    }
}

// See the following for a tutorial on layout managers:
//  http://java.sun.com/docs/books/tutorial/uiswing/layout/using.html
