import javax.swing.*;
import java.awt.event.*;

// Here, GuiDelta itself extends WindowAdapter
// instead of implementing WindowListener
// or creating another class.
// Only the handler methods that need to
// do something need to be provided inside
// GuiDelta.

public class GuiDelta extends WindowAdapter {

    public static void main(String[] args) {
        // Create a free-floating window:
        JFrame jframe = new JFrame("GuiDelta");
        
        // Specify the size in pixels:
        jframe.setSize(400,100);
        
        // Show the window:
        jframe.setVisible(true);

        // Add a listener object to handle window events:
        GuiDelta g = new GuiDelta();
        jframe.addWindowListener(g);
    }

    public void windowClosing(WindowEvent e) {
        System.out.println("Closing!");
        System.exit(0);
    }
}

// There is an Adaptor for each Listener interface;
// they just provide default do-nothing methods
// for each interface operation.

// Extend an Adaptor instead of implementing a 
// Listener if you are only implementing a few 
// of the Listener operations.
// Adaptors are more convenient because they
// provide default do-nothing handlers.
// But, there is no warning if you mistype
// a method name!
// Also, a class can only extend one Adaptor,
// while it can implement any number of
// Listeners.
