import javax.swing.*;
import java.awt.event.*;

// A final way to use Listeners, using an
// anonymous inner class.

public class GuiEpsilon {

    public static void main(String[] args) {
        // Create a free-floating window:
        JFrame jframe = new JFrame("GuiEpsilon");
        
        // Specify the size in pixels:
        jframe.setSize(400,100);
        
        // Show the window:
        jframe.setVisible(true);

        // Add an anonymous inner class to handle
        // window events:
        jframe.addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent e) {
                    System.out.println("Closing!");
                    System.exit(0);
                }
            }
        );
    }

}

// Note that the inner class can extend a WindowAdaptor
// even if the main class already extends a superclass.
// Note also that inner classes have access to the 
// members and methods of the outer object.  This can
// be very useful for writing "glue" Listener code.

// Use this technique when the Listener method implementations
// are very simple (one or two lines at most), and when
// there's no need to create a named, reusable
// Listener.

