import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;

public class TextDemo extends JFrame {
    final JButton okButton;
    final JTextField userNameField;

    String currentName=null;
    Vector pastAliases = new Vector();

    public void changeName(String userName) {
       if (currentName != null) 
           pastAliases.addElement(currentName);
       currentName = userName;
       System.out.println("Name changed to "+currentName); 
       System.out.println("AKA "+getAliases());
    }

    public String getAliases() {
        return pastAliases.toString();
    }

    public TextDemo(String title) {
        super(title);

        setup();

        okButton = new JButton("OK");
        userNameField = new JTextField(32);

        ActionListener enteredHandler = new ActionListener() {
              int pushes = 0;
              public void actionPerformed(ActionEvent e) {  
                   changeName(userNameField.getText());
              }
        };

        // Change the name when the user pushes the
        // Enter key in the text field, or when the
        // user clicks the OK button.
        userNameField.addActionListener(enteredHandler);
        okButton.addActionListener(enteredHandler);

        // Add the button to the inside of the frame:
        getContentPane().add( userNameField );
        getContentPane().add( okButton );

        pack( );
    }

    public void setup() {
        getContentPane().setLayout( new FlowLayout() );

        WindowListener l = new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        };
        addWindowListener(l);
    }

    public static void main(String[] args) {
         TextDemo demo = new TextDemo("Text Demo");
         demo.setVisible(true);        
    }
}
